org.richfaces.context

## Class ExtendedVisitContextFactory

- java.lang.Object
- - javax.faces.component.visit.VisitContextFactory
  - - org.richfaces.context.ExtendedVisitContextFactory

- All Implemented Interfaces:
    javax.faces.FacesWrapper<javax.faces.component.visit.VisitContextFactory>

      public class ExtendedVisitContextFactory
      extends javax.faces.component.visit.VisitContextFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedVisitContextFactory(javax.faces.component.visit.VisitContextFactory parentFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.component.visit.VisitContext` | `getVisitContext(javax.faces.context.FacesContext facesContext, Collection<String> clientIds, Set<javax.faces.component.visit.VisitHint> hints)` Wraps extended visit context from VisitContext created from parent factory,
    `javax.faces.component.visit.VisitContextFactory` | `getWrapped()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedVisitContextFactory

          public ExtendedVisitContextFactory(javax.faces.component.visit.VisitContextFactory parentFactory)

  - ### Method Detail

    - #### getWrapped

          public javax.faces.component.visit.VisitContextFactory getWrapped()

      Specified by:
        `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.component.visit.VisitContextFactory>`
      Overrides:
        `getWrapped` in class `javax.faces.component.visit.VisitContextFactory`

    - #### getVisitContext

          public javax.faces.component.visit.VisitContext getVisitContext(javax.faces.context.FacesContext facesContext,
                                                                          Collection<String> clientIds,
                                                                          Set<javax.faces.component.visit.VisitHint> hints)

      Wraps extended visit context from VisitContext created from parent factory,

      only if current view processing is inside of `ExtendedPartialViewContext.processPartial(javax.faces.event.PhaseId)` processing

      either in `ExtendedVisitContextMode.EXECUTE` or `ExtendedVisitContextMode.RENDER`.

      Otherwise if `VisitContextFactory` is called outside of `ExtendedPartialViewContext.processPartial(javax.faces.event.PhaseId)` processing, a `VisitContext` created by parent factory is used instead.

      Specified by:
        `getVisitContext` in class `javax.faces.component.visit.VisitContextFactory`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.